﻿Copyright (c) (2013) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek TDS 520A,524A (1 yr) VER IEEE /9500/600+1Hd
DATE:                  2013-11-19 10:32:50
AUTHOR:                Fluke
REVISION:              $Revision: 18972 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       221
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
# 
#  Source:
#        Tektronix Tektronix TDS 520A, 524A, 540A, & 544A Digitizing Oscilloscopes
#        Performance Verification, Part No. 070-8712-01
# 
#  Compatibility:
#        MET/CAL 7.3.38 or Later.
#
#  Additional Equipment Required:
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
# 
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  9500         500MH                        1Vpp           LS    S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            F        V

  1.005  IF           NOT(VERSIONCHECK("7.3.38"))
  1.006  END
  1.007  ENDIF

  1.008  CALL         Sub Display Copyright
  1.009  CALL         Sub High Voltage Safety Warning

  1.010  HEAD         PRELIMINARY INSTRUCTIONS
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Guardbanding & Ver Method

  1.013  DISP         Ensure a minimum UUT warm-up time of at least
  1.013  DISP         20 minutes has been allowed to elapse, prior
  1.013  DISP         to beginning verification.

  1.014  HEAD         UUT IDENTIFICATION
  1.015  TARGET
  1.016  CALL         Sub TDS500/600/700 Setup IEEE
  1.017  IEEE2        *RST;DESE 61
  1.018  WAIT         -t 4 System Initializing ...

  1.019  MATH         @UUT_Manufacturer  = "TEKTRONIX"
  1.021  MATH         @UUT_AssetNum      = UUT()

  1.022  IF           NOT(EMPTY(@UUT_AssetNum))
  1.023  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.024  ENDIF

  1.025  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.026  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.027  IF           @Abort
  1.028  END
  1.029  ENDIF

  1.030  HEAD         EQUIPMENT REQUIREMENTS
  1.031  OPBR         -z Do you want to REVIEW the list of additional
  1.031  OPBR         equipment and/or accessories required?

  1.032  IF           MEM1
  1.033  DISP         The following additional equipment and/or accessories
  1.033  DISP         are required:
  1.033  DISP
  1.033  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.033  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.033  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.033  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.033  DISP         - Dual Input Coupler (BNC)
  1.033  DISP         - 50 Ohm Feedthrough (BNC)
  1.034  ENDIF

  1.035  CALL         Sub TDS500A Specifications
  1.036  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.037  JMPL         END                          @Abort
  1.038  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.039  JMPL         END                          @Abort

  1.040  MATH         @SourceChanNum = 1

  1.041  MATH         @Chan = 1
  1.042  CALL         Sub TDS500A (1 yr) DC Offset IEEE
  1.043  MATH         @Chan = 2
  1.044  CALL         Sub TDS500A (1 yr) DC Offset IEEE
  1.045  MATH         @Chan = 3
  1.046  CALL         Sub TDS500A (1 yr) DC Offset IEEE
  1.047  MATH         @Chan = 4
  1.048  CALL         Sub TDS500A (1 yr) DC Offset IEEE

  1.049  MATH         @Chan = 1
  1.050  CALL         Sub TDS52xA (1 yr) DCV Meas Acc Ch 1 & 2 IEEE /9500
  1.051  JMPL         BANDWIDTH_CH1

  1.052  LABEL        DCV_ACC_CH2
  1.053  MATH         @Chan = 2
  1.054  CALL         Sub TDS52xA (1 yr) DCV Meas Acc Ch 1 & 2 IEEE /9500
  1.055  JMPL         BANDWIDTH_CH2

  1.056  LABEL        DCV_ACC_CH3
  1.057  MATH         @Chan = 3
  1.058  CALL         Sub TDS52xA (1 yr) DCV Meas Acc Aux 1 & 2 IEEE /9500
  1.059  JMPL         BANDWIDTH_CH3

  1.060  LABEL        DCV_ACC_CH4
  1.061  MATH         @Chan = 4
  1.062  CALL         Sub TDS52xA (1 yr) DCV Meas Acc Aux 1 & 2 IEEE /9500
  1.063  JMPL         BANDWIDTH_CH4

  1.064  LABEL        BANDWIDTH_CH1
  1.065  MATH         @Chan = 1
  1.066  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /9500/600
  1.067  JMPL         TIMEBASE_TRIGGER

  1.068  LABEL        BANDWIDTH_CH2
  1.069  MATH         @Chan = 2
  1.070  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /9500/600
  1.071  JMPL         TRIG_SENS_CH2

  1.072  LABEL        BANDWIDTH_CH3
  1.073  MATH         @Chan = 3
  1.074  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /9500/600
  1.075  JMPL         TRIG_SENS_CH3

  1.076  LABEL        BANDWIDTH_CH4
  1.077  MATH         @Chan = 4
  1.078  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /9500/600
  1.079  JMPL         TRIG_SENS_CH4

  1.080  LABEL        DELAY_MATCH
  1.081  MATH         @Chan = 1
  1.082  CALL         Sub TDS500A (1 yr) Delay Match IEEE /9500
  1.083  JMPL         PROBE_COMPENSATION

  1.084  LABEL        TIMEBASE_TRIGGER
  1.085  MATH         @Chan = 1
  1.086  CALL         Sub TDS500A (1 yr) Time Base IEEE /9500
  1.087  CALL         Sub TDS52xA/54xA (1 yr) Delta Time IEEE /9500
  1.088  CALL         Sub TDS500A (1 yr) Trig Time Acc IEEE /9500
  1.089  CALL         Sub TDS52xA/54xA (1 yr) Trig Level Acc IEEE /9500
  1.090  CALL         Sub TDS500A (1 yr) Sens IEEE /9500/600
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.091  OPBR         -z Each channel trig sensitivity test will take about
  1.091  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.091  OPBR         channels to save time, unless desired.
  1.091  OPBR
  1.091  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.091  OPBR         3, and 4?
  1.092  MATH         @TestCh234Sens = MEM1
  1.093  JMPL         DCV_ACC_CH2

  1.094  LABEL        TRIG_SENS_CH2

  1.095  IF           @TestCh234Sens
  1.096  MATH         @Chan = 2
  1.097  CALL         Sub TDS500A (1 yr) Sens IEEE /9500/600
  1.098  ENDIF

  1.099  JMPL         DCV_ACC_CH3

  1.100  LABEL        TRIG_SENS_CH3

  1.101  IF           @TestCh234Sens
  1.102  MATH         @Chan = 3
  1.103  CALL         Sub TDS500A (1 yr) Sens IEEE /9500/600
  1.104  ENDIF

  1.105  JMPL         DCV_ACC_CH4

  1.106  LABEL        TRIG_SENS_CH4

  1.107  IF           @TestCh234Sens
  1.108  MATH         @Chan = 4
  1.109  CALL         Sub TDS500A (1 yr) Sens IEEE /9500/600
  1.110  ENDIF

  1.111  JMPL         DELAY_MATCH

  1.112  LABEL        PROBE_COMPENSATION
  1.113  CALL         Sub TDS500A (1 yr) Probe Comp IEEE /9500

  1.114  LABEL        END
  1.115  IEEE2        *RST;DESE 61

  1.116  IF           @Abort
  1.117  DISP         V E R I F I C A T I O N   A B O R T E D
  1.118  ENDIF

  1.119  END
